Subject: [tram] draft-ietf-tram-stun-pmtud-06 review

From: "Asveren, Tolga" <[email-masked]>
Date: Sun, 18 Feb 2018 05:40:55 +0000

Marc, Gonzalo,

Some comments/questions for draft-ietf-tram-stun-pmtud-06:

i- 4.

  Implementations supporting this specification MUST implement the
   server side of both the Simple Probing mechanism (Section 4.1) and
   the Complete Probing mechanism (Section 4.2).
   Implementations supporting this specification MUST implement the
   client side of the Complete Probing mechanism.  They MAY implement
   the client side of the Simple Probing mechanism.

I don't see the rationale behind mandating this behavior. Such semantics in general are taken care of in the context of a capability negotiation mechanism, which this document does not specify. As it stands right now, I think this is best left to local policy and bilateral agreements and I would suggest not to use anything stronger than "RECOMMEND".

ii- 4.1
DF bit set over UDP.
==>
DF bit in IP Header.
Right?  (the same in 4.2)

iii- 4.1.1
A client MUST NOT send a probe if it does not have knowledge that the
   server supports this specification.  This is done either by external
   signalling or by a mechanism specific to the UDP protocol to which
   PMTUD capabilities are added or by one of the mechanisms specified in
   Section 5.
I suggest adding text for possible use of local policy/bilateral agreements for this purpose.

iv-  4.2
Some protocols may already have a way of identifying each individual
   UDP packet, in which case these identifiers SHOULD be used in the
   IDENTIFIERS attribute of the Report Response.
What is meant here as "some protocols"? Are you referring  to what is carried as payload of UDP or what is used below UDP?

v- 4.2
In the first packet identification mechanism, the server computes a
   checksum over each packet received and sends back to the sender the
   list of checksums ordered chronologically.  The client compares this
   list to its own list of checksums.
What if there are two probes with the same checksum right after each other and one of them is lost? How can client disambiguate such a case in  the response?

v- 7
The Simple Probing mechanism may be used without authentication
   because this usage by itself cannot trigger an amplification attack
   because the Probe Response is smaller than the Probe Request.
Isn't the same true for Sum(Probe Requests) > (Report Response)?

vii- nit
== The copyright year in the IETF Trust and authors Copyright Line does not
     match the current year

  -- The document date (September 1, 2017) is 169 days in the past.  Is this
     intentional?

Thanks,
Tolga